# Uses of Interface
org.eclipse.ecf.remoteservice.client.IRemoteCallParameterSerializer

Packages that use IRemoteCallParameterSerializer
Package
Description
org.eclipse.ecf.remoteservice.client

## Uses of IRemoteCallParameterSerializer in org.eclipse.ecf.remoteservice.client

Classes in org.eclipse.ecf.remoteservice.client that implement IRemoteCallParameterSerializer
Modifier and Type
Class
Description
`class`
`AbstractParameterSerializer`
`class`
`StringParameterSerializer`
Parameter serializer for String parameters.
Fields in org.eclipse.ecf.remoteservice.client declared as IRemoteCallParameterSerializer
Modifier and Type
Field
Description
`protected IRemoteCallParameterSerializer`
AbstractClientContainer.`parameterSerializer`
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteCallParameterSerializer
Modifier and Type
Method
Description
`protected IRemoteCallParameterSerializer`
AbstractClientContainer.`getParameterSerializer()`
`protected IRemoteCallParameterSerializer`
AbstractClientContainer.`getParameterSerializer(IRemoteCallParameter parameter, Object value)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteCallParameterSerializer
Modifier and Type
Method
Description
`void`
AbstractClientContainer.`setParameterSerializer(IRemoteCallParameterSerializer serializer)`
`void`
IRemoteServiceClientContainerAdapter.`setParameterSerializer(IRemoteCallParameterSerializer serializer)`
Set the remote call parameter serializer.